each
extract
Array Functions
PHP Manual

# end

Set the internal pointer of an array to its last element

### Description

mixed end ( array `&$array` )

end advances `array`'s internal pointer to the last element, and returns its value.

### Parameters

`array`

  The array. This array is passed by reference because it is modified by the function. This means you must pass it a real variable and not a function returning an array because only actual variables may be passed by reference.

### Return Values

Returns the value of the last element or `FALSE` for empty array.

### Examples

Example #1 end example

`<?php
$fruits = array('apple', 'banana', 'cranberry');
echo end($fruits); // cranberry
?>`

### See Also

- current
- each
- prev
- reset
- next